<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwGeneral: fwManager.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwGeneral
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwManager_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwManager.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2684e1ea9561193cf49bf62cd5d80234"><td class="memItemLeft" align="right" valign="top">synchronized dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwManager_8ctl.html#a2684e1ea9561193cf49bf62cd5d80234">fwManager_getScriptsRunByCtrlMan</a> (string systemName, unsigned ctrlManNum, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a2684e1ea9561193cf49bf62cd5d80234"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62c563a6f753d7125154596afdfa7c0a"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwManager_8ctl.html#a62c563a6f753d7125154596afdfa7c0a">_fwManager_checkDriverRunningCB</a> (string dp, dyn_int values)</td></tr>
<tr class="separator:a62c563a6f753d7125154596afdfa7c0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d97b1b40e2d7ad04ca87f24d533393c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwManager_8ctl.html#a0d97b1b40e2d7ad04ca87f24d533393c">fwManager_checkDriverRunning</a> (int drvNumber, dyn_string &amp;exceptionInfo, string systemName=&quot;&quot;)</td></tr>
<tr class="separator:a0d97b1b40e2d7ad04ca87f24d533393c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e3f6b4e9094a128cfa91cf9daa2757b"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwManager_8ctl.html#a9e3f6b4e9094a128cfa91cf9daa2757b">fwManager_getManagerHostname</a> (int managerId, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a9e3f6b4e9094a128cfa91cf9daa2757b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains functions related to WinCC OA Managers</p>
<dl class="section user"><dt>Creation Date</dt><dd>18/02/2015</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Piotr Golonka (CERN EN/ICE) </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a2684e1ea9561193cf49bf62cd5d80234"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2684e1ea9561193cf49bf62cd5d80234">&#9670;&nbsp;</a></span>fwManager_getScriptsRunByCtrlMan()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">synchronized dyn_string fwManager_getScriptsRunByCtrlMan </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>systemName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>ctrlManNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the list of Ctrl scripts executed by a given Ctrl Manager.</p>
<dl class="section user"><dt>systemName (input) the name of the system to be queried</dt><dd></dd></dl>
<dl class="section user"><dt>ctrlManNum (input) the manager number to be queried</dt><dd></dd></dl>
<dl class="section user"><dt>exceptionInfo (output) the standard exception-handling variable</dt><dd></dd></dl>
<dl class="section return"><dt>Returns</dt><dd>the list of names of scripts executed by given Ctrl manager,</dd></dl>
<p>If not existing, the necessaery _CtrlDebug datapoint is created. </p>

</div>
</div>
<a id="a62c563a6f753d7125154596afdfa7c0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62c563a6f753d7125154596afdfa7c0a">&#9670;&nbsp;</a></span>_fwManager_checkDriverRunningCB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void _fwManager_checkDriverRunningCB </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>values</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>internal callback tracing the driver check</p>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000013">Reviewed:</a></b></dt><dd>2018-06-21 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-BackgroundProcessing">BackgroundProcessing</a> </dd></dl>

</div>
</div>
<a id="a0d97b1b40e2d7ad04ca87f24d533393c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d97b1b40e2d7ad04ca87f24d533393c">&#9670;&nbsp;</a></span>fwManager_checkDriverRunning()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwManager_checkDriverRunning </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>drvNumber</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>systemName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Check whether specified driver is running</p>
<dl class="section user"><dt>drvNumber (input) the driver number to be checked</dt><dd></dd></dl>
<dl class="section user"><dt>exceptionInfo (output) the standard exception-handling variable</dt><dd></dd></dl>
<dl class="section user"><dt>systemName (input,optional) the name of the system to be queried; by default local system ("")</dt><dd></dd></dl>
<dl class="section return"><dt>Returns</dt><dd>a boolean value with the result of check.</dd></dl>
<p>The calls for the local system are handled through a cache, whereas those for remote ones are handled with dpGet (consider the latency of a roundtrip). The cache is established through a dpConnect to the _Connections.Driver.ManNums datapoint. </p>

</div>
</div>
<a id="a9e3f6b4e9094a128cfa91cf9daa2757b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e3f6b4e9094a128cfa91cf9daa2757b">&#9670;&nbsp;</a></span>fwManager_getManagerHostname()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwManager_getManagerHostname </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>managerId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function returns the host name where the given manager is running. The manager id passed is the internal PVSS manager ID as used by functions like convManIdToInt(). The function looks in the internal PVSS _Connections DPs to find this information.</p>
<dl class="section user"><dt>Constraints</dt><dd>Currently only supports CTRL and UI managers (because users can lock configs from these managers)</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">managerId</td><td>The manager ID for which you want to find the host name </td></tr>
    <tr><td class="paramname">managerHostname</td><td>The hostname is returned here </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwManager_8ctl.html">fwManager.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
